[Résolu] Mise à jour de PHP (Créer un compte)

  • WordPress :5.1
  • Statut : résolu
7 sujets de 1 à 7 (sur un total de 7)
  • Auteur
    Messages
  • #2355645
    lsainton
    Participant
    Initié WordPress
    4 contributions

    Bonjour,

    Ma configuration WP actuelle : <span id=”wp-version”>5.1.6</span>

    • Version de PHP/MySQL : 5.5.38
    • Thème utilisé : PlatformBase
    • Extensions en place :
    • Nom de l’hébergeur : OVH
    • Adresse du site : evdn.net

    Problème(s) rencontré(s) :

    Bonjour.

    On a déjà dû vous poser la question un dizaine de fois, désolé…

    Suite au décès de son webmestre, j’ai hérité de ce site. Je débute tout juste avec WordPress.

    J’ai voulu mettre à jour sa version, comme recommandé, mais il me dit que j’utilise PHP 5.5.38, qui est obsolète.

    Pourtant, je suis bien allé sur OVH et je l’ai configuré pour qu’il utilise PHP 7.3 pour ce site, mais WordPress ne semble pas en tenir compte.

    Je dois rater quelque chose quelque part… Mais quoi et où ?

     

    Merci d’avance.

    #2355647
    momofr@free.fr
    Modérateur
    Maître WordPress
    3626 contributions

    Salut, tu peux passer même en PHP 7.4 chez OVH maintenant et c’est recommandé.

    Si le changement dans le cPanel n’est pas effectif c’est qu’un fichier ovhconfig est présent dans un espace d’hébergement, le plus souvent dans le dossier racine (au dessus de www), tu peux le supprimer ou changer la version PHP dans le code qu’il contient.

    Consulte cet article sur ce sujet.

    #2355811
    lsainton
    Participant
    Initié WordPress
    4 contributions

    Merci pour ta réponse, c’est très clair.

     

    Ce fichier .ovhconfig, c’est à la racine du serveur FTP que je dois le mettre ou le modifier ? J’ai bien peur que le login/password pour m’y connecter soit définitivement perdu.

    #2355816
    pasglop
    Participant
    Padawan WordPress
    68 contributions

    Le .ovhconfig est à la racine du serveur OVH, mais y accéder par FTP nécessite un identifiant/mdp.

    #2355820
    momofr@free.fr
    Modérateur
    Maître WordPress
    3626 contributions

    Salut, si tu n’as plus tes identifiants FTP tu peux retrouver le login dans le cPanel OVH, change le mot de passe et essayer ensuite de te connecter avec un logiciel de FTP (Filezilla par exemple).

     

    #2355860
    lsainton
    Participant
    Initié WordPress
    4 contributions

    Merci ! J’ai réussi à me connecter au FTP. On avance.

    J’ai lu le fichier .ovhconfig. Et là, surprise… “app.engine.version=7.3”, et WordPress persiste à dire que j’utilise PHP 5.5.

     

    J’ai voulu passer à PHP 7.4 côté OVH, ça a fait planter le site. Déjà, résoudre ce bug, ensuite on verra pour passer à la dernière version.

    #2355864
    lsainton
    Participant
    Initié WordPress
    4 contributions

    Trouvé ! Il y avait un second fichier .ovhconfig dans le répertoire www du FTP. Je l’ai supprimé et d’un coup ça marchait mieux.

     

    Merci momofr et pasglop, sans votre aide je n’y serai pas arrivé.

7 sujets de 1 à 7 (sur un total de 7)
  • Vous devez être connecté pour répondre à ce sujet.